## org.eclipse.amp.axf.ide.view
Class DelayView

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.ide.view.DelayView

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

    public class DelayView

extends AbstractLifecycleListener

Author:
  mparker

Constructor Summary
`DelayView()`

Method Summary
`void` `observeUpdate(IObservationProvider observed)` Notifies that the model has completed one period of execution at the appropriate level of granularity.

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observing, setName, stateChange, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelayView

    public DelayView()

Method Detail

### observeUpdate

    public void observeUpdate(IObservationProvider observed)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model has completed one period of execution at the appropriate level of granularity. Currently this is always once every period but that will change when more control of update granularity is introduced.

  Specified by:
    `observeUpdate` in interface `ILifeCycleListener`
  Overrides:
    `observeUpdate` in class `AbstractLifecycleListener`
  Parameters:
    `observed` -
  See Also:
    `AbstractLifecycleListener.observeUpdate(org.eclipse.amp.axf.core.IObservationProvider)`